import 'package:json_annotation/json_annotation.dart';

part 'history_fault_bean.g.dart';

@JsonSerializable(explicitToJson: true)
class HistoryFaultBean {
  String? faultTime;
  String? faultReason;

  HistoryFaultBean(this.faultTime, this.faultReason);

  factory HistoryFaultBean.fromJson(Map<String, dynamic> json) => _$HistoryFaultBeanFromJson(json);

  Map<String, dynamic> toJson() => _$HistoryFaultBeanToJson(this);
}
